Skip to main content
`Ctrl`+`K`

# MatHYPREGetParCSR

Gets the pointer to the ParCSR matrix

## Synopsis

    PetscErrorCode MatHYPREGetParCSR(Mat A, hypre_ParCSRMatrix **parcsr)

Not Collective, No Fortran Support

## Input Parameter

- A - the `MATHYPRE` object

## Output Parameter

- parcsr - the pointer to the `hypre_ParCSRMatrix`

## See Also

Matrices, `Mat`, `MatHYPRE`, `PetscCopyMode`

## Level

intermediate

## Location

src/mat/impls/hypre/mhypre.c

## Implementations

MatHYPREGetParCSR_HYPRE() in src/mat/impls/hypre/mhypre.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages